|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.jboss.jsfunit.jsfsession.JSFSession
public class JSFSession
This class starts and manages the JSF Session on both the client and server side.
| Constructor Summary | |
|---|---|
JSFSession(String initialPage)
Creates a new session for testing the JSF application. |
|
JSFSession(WebClientSpec wcSpec)
Creates a new session for testing the JSF application. |
|
| Method Summary | |
|---|---|
JSFClientSession |
getJSFClientSession()
Get the JSFClientSession instance used to access client-side JSF artifacts send requests to the server. |
JSFServerSession |
getJSFServerSession()
Get the JSFServerSession instance used to access server-side JSF artifacts. |
Map |
getRedirectorRequestParams()
Get an immutable Map of all request params sent to the ServletRedirector or ServletTestRunner. |
com.gargoylesoftware.htmlunit.WebClient |
getWebClient()
Get the WebClient instance used to control client side requests. |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
|---|
public JSFSession(String initialPage)
throws IOException
initialPage - The page used to start a client session with JSF. Example: "/index.jsf"
IOException - If there is an error calling the JSF app
public JSFSession(WebClientSpec wcSpec)
throws IOException
webClient - An HtmlUnit WebClient containing custom attributes. Note that this WebClient
instance should be created with the JSFUnit WebConversationFactory instead of
the WebClient constructor.initialPage - The page used to start a client session with JSF. Example: "/index.jsf"
IOException - If there is an error calling the JSF app| Method Detail |
|---|
public Map getRedirectorRequestParams()
public com.gargoylesoftware.htmlunit.WebClient getWebClient()
public JSFServerSession getJSFServerSession()
public JSFClientSession getJSFClientSession()
The - JSFClientSession
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||